<?php
	$seiten_id = 'analogrechner';
	$version = '$Id: analog.php 277 2012-07-08 00:13:09Z sven $';
	$title = 'Analog and hybrid computers';
	
	require "../../lib/technikum29.php";
?>
    <h2>Analog and hybrid computers</h2>

    <!-- Top paragraphs: Translation from 20.12.2008 -->

    <p>Analog computers were used to compute mathematical, physical and
    technical problems. They were especially capable of solving equations
    containing variables that depend on time or differential equations.</p>

    <p>Analog computers simulate the given problem by abstracting it to a
    physical system which follows the same mathematical laws. This
    system is "plugged together" on a patch-board by using electronical
    networks which are situated in the computer's inner life (negators,
    summing unit, integrator, multiplier, function generator, etc.). Unlike
    digital ones, analog computers don't count but measure (input) parameters.
    Thus an anlog computer does not even recognize the complexity of a
    differential equation &ndash; it solves even non-linear ones where
    there does not exist any approach very quickly by simply drawing the
    graph of the solution. On the other hand, analog computers are not suitable for
    solving literal equations and suitable for commercial calculations
    not at all.</p>

    <p>All systems that yield the same mathematical model are called analog
    systems among one another, disregarding their technical or physical origins.
    The quality of the analogy of a system depends on the accuracy of
    both approximation and output. According to the price the available
    analog computers at that time highly differed from each other.

    <p>Among others, computer systems by Telefunken (1961-64) are installed. They drew awesome curves on a storage oscilloscope and xy plotter. They solved difficult problems quite quickly, but handing, programming (plug connections) and analysis is not easy.</p>


    <!--alter Text: <p>Electronical analog computers solved mathematical
    equations that represented electrical networks which you had to plug
    ("programm") on the board. They were solved by the electrical simulation.
    Results were not numbers, but graphs (curves) that can be plotted with a
    writer or an oscilloscope.</p>-->


    <h3>Heathkit Analog Computer H1</h3>

    <div class="box center" style="margin-bottom: 0;">
        <img src="/shared/photos/rechnertechnik/heathkit-analog-computer.jpg" width="694" height="443" alt="Heathkit Analog Computer H1" />
        <p>Heathkit, known for it's construction kits, developed an analog
        computer in 1956 that was primary designed for education. This
        monster has 70 tubes, whereas 45 were placed external due to better
        cooling. It is equipped with 15 computing amplifiers.</p>

    </div>



    <div class="box left clear-after" style="margin-top: 0;">
       <img src="/shared/photos/rechnertechnik/heathkit-detail.jpg" alt=" Heathkit Analog Computers H1" width="400" height="277" class="nomargin-bottom"/>

       <p class="bildtext">

          It demonstrates archaic early technology from the first generation.
          We have connected a compatible xy plotter equipped with tubes, too.
          <br/>This device is a loan from the <a
          href="http://www.fitg.de/fitg_english/">FITG (Association for the
          promition of industrial and technological history)</a>.

       </p>
<p class="small">
Excerpt from the original prospekt:<br>
This is a highly flexible and accurate analog computer, designed to fill requirements not presently met by commercial computer. It is an instrument suitable for use as a design tool in industry and universities. An advanced “slide rule” which permits engineering or research personnel to electronically simulate equations or physical problems and save many hours of calculation or experimentation.....
Because it is a kit, and the labor and overhead costs found in present day computers are eliminated, the Heath Computer can be obtained for use in situations where a computer was ruled out in the past because of cost.......</p>
    </div>



    <div class="box left clear-after">	 

        <h3>Heathkit Analog Computer EC-1</h3>

        <img src="/shared/photos/rechnertechnik/heathkit-ec1.jpg" width="400" height="252" alt="Heathkit EC-1" />

        <p>This is a very small analog computer that was designed for
           educational purpose. It was built since 1960 and was equipped
           with only 17 tubes (whereas 5 were used for stabilisation of
           voltage). With such a sparse equipment the device is just good
           enough to yield the function of an analog computer &ndash; it is too
           inexactly to be used for real computing.
           <br/>This device costed around 1.900 DM (about 900 Euro/500US$) </p>

    </div>


    <div class="box right">

        <h3>Telefunken RAT 700</h3>

        <img src="/shared/photos/rechnertechnik/telefunken_rat700.jpg" width="291" height="917" alt="Telefunken RAT 700" class="nomargin-bottom" />

        <p class="bildtext">

            The image shows the <b>Telefunkten RAT 700</b> in the bottom (first
            model from 1961), above a part from the successor. On the new model
            you can change the whole patch board and thus change prgorams quickly.
            <br/>When it's running, you hear an undetermined buzzing (400 Hz), due
            to the mechanical chopper that change direct voltage in alternating
            voltage. That was the only chance to disable the disturbing termeratre
            drift (Changing of the germanium transistor parameters). Principally,
            direct voltage is amlified by using choppers still today, but of course
            they are made with electronic components.

        </p>

    </div>

    <div class="box center" style="margin-right: 291px">
        <h3>GTE Analog Computer EA22</h3>
        <img src="/shared/photos/rechnertechnik/gte-analogrechner.jpg" width="312" height="346" title="GTE Analog computer EA22" />
        <p>
          It's quite remarkable that the EA22 from GTE looks like the Telefunken
          computers. But unlike the competitive products, the GTE computer is
          equipped with more computing amplifiers (22 units), has a much clearer
          system design and is therefore much easier to maintain.
          This analog computer was build in the early 1960s from the german
	  firm <u>G</u>oldmann <u>T</u>echnische <u>E</u>elektronik,
	  Ulm/Donau.

        </p>
    </div>
    <div class="clear">&nbsp;</div>

	<!-- Yay, strange layout... -->

    <h3>EAI 180 and EAI 185 digital-anlog computer</h3>

    <p><b>EAI 180</b> from "Electronic Associates Incorporated",
       New Jersey, is a so called <b>hybrid computer</b>  (hybris [greek]: From twofold parentage), year of manufacture 1970. It contains the parts of an analoge computer and these from a digital computer. The device is equipped with IC's from the first generation (DTL-technology). The calculation circuit is plugged with cables on the front panel. The cycle time from the analoge part can be set to less than 10ms. With that parameter, an equation will be solved at least 100 times per second. So you can watch the output with a simple oscilloscope.<br><br>
    </p>

    <div class="box center auto-bildbreite">	
        <img src="/shared/photos/rechnertechnik/eai180.jpg" width="545" height="435" alt="EAI 180 hybrid computer" />
		<p class="bildtext"><b>EAI 180 hybrid computer</b></p>
    </div>

	<div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/eai,185.jpg" width="545" height="535" style="float:none" alt="EAI 185 Hybridrechner" />
		<p class="bildtext"><b>EAI 185 hyprid computer</b></p>
	</div>

	<p>
        The EAI 185 is almost exactly the same as the EAI 180 (shown in the photo above). The
        only difference is the stage of expansion &ndash; you will notice that the EAI 185 is
        much more taller than the EAI 180.
        They were both used in the applied physics and informatics of German Technical Universities.
    </p>


    <h3>Dornier DO 240 analog computer</h3>    
    <div class="box left clear-after">
         <img src="/shared/photos/rechnertechnik/do_240.jpg" alt="Dornier DO 240" width="424" height="412"/>
         <p class="bildtext">
             The analog computer DO 240, made by the German enterprise DORNIER, is a high precision device,
             compared to the EAI hybrid computers, which were used almost only for education due to their
             moderate precision.
             It features very much elements in a highly compact case. Among others there are digital potentiometers
             (gating pulse manually adjustable), a highly customizable digital clock generator (which uses
             nixie tubes as a display), a digital counter, two function generators and many more.
             This computer was built in the early 1970s and was priced at 80.000 DM (about 40.000 euro/dollar)
         </p>
    </div>

	<h3>(Cylindrical) slide rules</h3>
    <div class="box center">
        <img src="/shared/photos/rechnertechnik/rechenschieber.jpg"
          alt="Slide rule (slipstick) and Cylindrical slide rule" width="694" height="161"/>
    </div>

    <p>
        Last but not least a mechanical analog computer that was used up to
        the 1970s for scientific calculations without hand and desk calculators.
        <br/>The picture above displays a 1.8m long demo slide rule
        made of wood (1950s) that was used in schools for students since the
        10th grade. Compared to hand calculators, these analog computers
        also had some advantages: Students could not give absurd computing
        precisions, these "computers" were cheap and quite fast. The big
        disadvantage was that adding and subtracting was not possible at all.
        <br/>To get higher precisions in the 1920s, there was this
        "Cylindrical slide rule". This 60cm NESTLER device can be compared
        to an ordinary slide rule measuring 12.50m.
	</p>
